Xerces-J API: Class WMLDOMImplementationImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.wml.dom
Class WMLDOMImplementationImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.DOMImplementationImpl
            |
            +--org.apache.wml.dom.WMLDOMImplementationImpl

public class WMLDOMImplementationImpl
extends DOMImplementationImpl
implements WMLDOMImplementation

Version:
  $Id: WMLDOMImplementationImpl.java,v 1.1 2000/04/23 18:07:47 david Exp $
Author:
  David Li

Constructor Summary
`WMLDOMImplementationImpl()`

Method Summary
`Document` | `createDocument(java.lang.String namespaceURI, java.lang.String qualifiedName, DocumentType doctype)` Creates an XML `Document` object of the specified type with its document element.
`static DOMImplementation` | `getDOMImplementation()` NON-DOM: Obtain and return the single shared object

Methods inherited from class org.apache.xerces.dom.DOMImplementationImpl
`createDocumentType, hasFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMLDOMImplementationImpl

    public WMLDOMImplementationImpl()

Method Detail

### getDOMImplementation

    public static DOMImplementation getDOMImplementation()

  NON-DOM: Obtain and return the single shared object

### createDocument

    public Document createDocument(java.lang.String namespaceURI,
                                   java.lang.String qualifiedName,
                                   DocumentType doctype)
                            throws DOMException

  Description copied from interface: DOMImplementation
  Creates an XML `Document` object of the specified type with its document element. HTML-only DOM implementations do not need to implement this method.
  Overrides:
    createDocument in class DOMImplementationImpl
  See Also:
    `DOMImplementation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.